class BulletManager {
  ArrayList<Bullet> bullets;

  BulletManager() {
    bullets = new ArrayList<Bullet>();
    for (int i = 0; i<30; i++) {
      Bullet b = new Bullet(0, 0, 10, 255);
      b.alive = false;
      bullets.add(b);
    }
  }

  void render() {
    for (Bullet b : bullets) {
      b.render();
      b.update();
    }
  }

  void shoot(int x, int y, int vx, int vy, int r) {
    for (Bullet b : bullets) {
      if (!b.alive) {
        b.create(x, y, vx, vy, r);
        bulletSound.stop();
        bulletSound.play();
        return;
      }
    }
  }
  
  void shoot(int x, int y, int vx, int vy, int r,int c) {
    for (Bullet b : bullets) {
      if (!b.alive) {
        b.create(x, y, vx, vy, r,c);
        bulletSound.stop();
        bulletSound.play();
        return;
      }
    }
  }

  Bullet collision(Sprite e) {
    for (Bullet b : bullets) {
      if (!b.alive)
        continue;

      if ( dist(e.x, e.y, b.x, b.y)<= (b.r+e.r)/2) {
        return b;
      }
    }
    return null;
  }
  
  Bullet collision(PowerUp e) {
    for (Bullet b : bullets) {
      if (!b.alive)
        continue;

      if ( dist(e.x, e.y, b.x, b.y)<= (b.r+e.r)/2) {
        Level.p.pustate = true;
        e.alive = !true;
        return b;
      }
    }
    return null;
  }
}