class EnemyManager {
  ArrayList<Enemy> enemies;

  EnemyManager() {
    enemies = new ArrayList<Enemy>();

    for (int i = 0; i<20; i++) {
      Enemy e = new Enemy(0, 0, 75, 0xff1d0000);
      e.alive = false;
      enemies.add(e);
    }
  }

  void render() {
    for (Enemy e : enemies) {
      if (!e.alive)continue;
      e.update();
      e.render();
    }
  }

  Enemy create(int x, int y) {
    for (Enemy e : enemies) {
        if (e.alive)continue;
        e.x = x;
        e.y = y;
        e.r = 75;
        e.alive = true;
        
        e.setType((int)random(0,4));
        e.vx = -2;
        e.hp = 5;
        if(currentDay == 0 ){
          e.type = 0;
        }
        if(currentDay == 1 ){
          if(e.type > 1){
            e.type = 1;
          }
        }
        
        if(currentDay == 2 ){
          if(e.type > 2){
            e.type -= 2;
          }
        }
        
        
        if(e.type == 2){
          e.vx = -1;
          e.hp = 10;
        }
        if(e.type == 3){
          e.vx = -4;
          e.hp = 1;
        }
        return e;
    }


    return null;
  }

  Enemy collision(BulletManager b) {
    Enemy tmp = null;
    for (Enemy e : enemies) {
      if (!e.alive) {
        continue;
      }
      Bullet bb = b.collision(e);
      if (bb != null) {
        bb.alive = !true;
        e.hp--;
        e.isHit = true;
        e.hitTime = 30;
        particles.explode(e.x, e.y, 2,e.c);
        e.x += 50;
        if (e.hp <= 0) {
          e.alive = !true;
          particles.explode(e.x, e.y, 15,e.c);
          enemyKilled++;
          tmp = e;
        }
        break;
      }
    }

    return tmp;
  }

  void gravitate(Player p) {
    for (Enemy b : enemies) {
      if (!b.alive)
        continue;
      float d = dist(b.x, b.y, p.x, p.y);
      if (d<500) {
        float a = atan2(p.x-b.x, p.y-b.y);
        b.x -= (int)(-sin(a)*3);
        b.y -= (int)(-cos(a)*3);
        if (d <= b.r+p.r/2) {
          p.alive = !true;
        }
      }
    }
  }
}