import processing.sound.*;

SoundFile bulletSound;
SoundFile absorbSound;
SoundFile tristam;

BulletManager bullets;
ParticleManager particles;

GSM gsm;

PFont font;
PFont font2;

int currentDay = 0;

int shakeIntensity = 5;
float zoomIntensity = 1.2;
int bulletTimer;
int t;

int enemyKilled;

PImage light;

boolean isShaking = !true;
boolean isZooming = !true;
int shakeTimer;
int zoomTimer;

void setup() {
  size(1280, 720, P2D);
  colorMode(HSB);
  gsm = new GSM();
  gsm.setState(new SplashState());
  //gsm.setState(new PlayState(0));

  font = createFont("verdanab.ttf", 64);
  font2 = createFont("verdanab.ttf", 32);
  textAlign(CENTER, CENTER);
  textFont(font);

  bullets = new BulletManager();
  particles = new ParticleManager();

  noStroke();

  light = loadImage("light.png");
  
  bulletSound = new SoundFile(this, "Powerup245.wav");
  absorbSound = new SoundFile(this, "absorb.wav");
  tristam = new SoundFile(this,"bgsound.mp3");
  tristam.loop();
}

void draw() {
  pushMatrix();
  if (isShaking) {
    translate(random(shakeIntensity), random(shakeIntensity));
  }
  if (isZooming) {
    translate(0, 0);
    scale(map(sin(t/5f), -1, 1, 1, 1.01), map(sin(t/5f), -1, 1, 1, 1.01));
  }
  gsm.update();
  gsm.render();

  bullets.render();
  particles.render();

  popMatrix();

  if (shakeTimer-- <= 0) {
    isShaking = false;
    shakeIntensity = 5;
  }

  t++;
}